Skip to main content
POST
https://checkout.dintero.com/v1/
/
examples
/
session_url_callback
Session Callback
curl --request POST \
  --url https://checkout.dintero.com/v1/examples/session_url_callback \
  --header 'Content-Type: application/json' \
  --data '
{
  "payment_product": "bambora",
  "payment_product_type": "bambora.applepay",
  "amount": 72200,
  "currency": "NOK",
  "id": "<string>",
  "payout_destination_id": "<string>",
  "merchant_reference": "<string>",
  "channel": "ecommerce",
  "url": {
    "callback_url": "<string>"
  },
  "events": [
    {
      "event": "INITIATE",
      "transaction_status": "INITIATED",
      "created_at": "2019-01-18T13:13:37.175Z",
      "success": true,
      "request_id": "a3dcc23125bc4363b9dae29ed25a4eb1"
    },
    {
      "event": "AUTHORIZE",
      "transaction_status": "AUTHORIZED",
      "created_at": "2019-01-18T13:13:37.540Z",
      "success": true,
      "request_id": "f5f64165e5b3404e9af63586c184c3e9"
    },
    {
      "event": "CAPTURE",
      "transaction_status": "PARTIALLY_CAPTURED",
      "created_at": "2019-01-18T15:37:00.879Z",
      "created_by": "99115ac5-2d10-4be4-8594-bbf5e3aa7dfc",
      "amount": 59700,
      "splits": [
        {
          "payout_destination_id": "P000000001",
          "amount": 29700
        },
        {
          "payout_destination_id": "P000000002",
          "amount": 30000
        }
      ],
      "fee_split": {
        "type": "proportional",
        "destinations": [
          "P000000001"
        ]
      },
      "items": [
        {
          "amount": 59700,
          "quantity": 3,
          "line_id": "3"
        }
      ],
      "success": true,
      "request_id": "27c71936004e48649c6dd437d314d90c"
    },
    {
      "event": "CAPTURE",
      "transaction_status": "CAPTURED",
      "created_at": "2019-01-18T21:24:31.669Z",
      "created_by": "a33aef94-a17d-447a-a1dd-81055892b59d",
      "amount": 8600,
      "items": [
        {
          "amount": 2000,
          "quantity": 2,
          "line_id": "1"
        },
        {
          "amount": 6600,
          "quantity": 2,
          "line_id": "2"
        }
      ],
      "success": true,
      "request_id": "c3e60b98a1d1466c97151318be621cf9"
    }
  ],
  "session_id": "P00000000.465U8CUzaPVpneu1wt8Wei"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Dintero-Signature
string

Dintero signature that can be used to verify the payload from the callback.

Only include if a signature secret exist:

event-delivery
string

A unique delivery ID to identify the event, which can be useful for tracking and troubleshooting purposes

Query Parameters

method
string

The method to use when delivering the callback

includes
string
required

Aditional data included

transaction_id
string
required

The Id for the transaction created

session_id
string

Session Id. Either session_id or sid is required.

sid
string

Session Id if sid_parameter_name=sid. Either session_id or sid is required.

merchant_reference
string
required

The merchants reference

time
string<date-time>
required

ISO 8601 format for when the transaction was created

error
string

Error code

event
string

Event applied to transaction

event_id
string

Id for the event applied to transaction

report_error
boolean

Report error callback

delay_callback
integer

Delay before delivering the callback

report_event
string

Deliver callback on othe transaction events

Body

application/json
payment_product
enum<string>
required

The payment product corresponding to this transaction

Available options:
bambora,
collector,
dintero,
dintero_psp,
instabank,
klarna,
netaxept,
payex,
santander,
swish,
vipps,
kravia,
two,
seitatech
payment_product_type
enum<string>
required

The payment product type corresponding to this transaction

Available options:
bambora.applepay,
bambora.creditcard,
bambora.googlepay,
bambora.mobilepay,
bambora.vipps,
collector.invoice,
collector.invoice_b2b,
collector.invoice_b2b_preapproved,
collector.installment,
dintero.zero,
dintero.wallets,
dintero.external,
dintero_psp.creditcard,
dintero_psp.vipps,
dintero_psp.googlepay,
dintero_psp.applepay,
dintero_psp.clicktopay,
instabank.finance,
instabank.invoice,
instabank.installment,
instabank.postponement,
klarna.klarna,
klarna.billie,
kravia.invoice_b2b,
kravia.invoice_b2b_grouped,
kravia.invoice_b2c,
two.invoice_b2b,
netaxept.creditcard,
payex.creditcard,
payex.mobilepay,
payex.swish,
payex.vipps,
payex.applepay,
payex.clicktopay,
payex.googlepay,
santander.debit_account,
seitatech.in_person,
swish.swish,
vipps
amount
integer
required

Non-negative, minor units. Total amount of the transaction

Example:

72200

currency
string<iso4217-code>
required

ISO 4217 transaction currency

Example:

"NOK"

id
string

An ID that uniquely identifies the resource

created_at
string<date-time>

When the transaction was created

payout_destination_id
string

An id that identifies the seller, value will be included in the settlement reports

Maximum string length: 40
merchant_reference
string

A reference specified by the merchant to identify the transaction

channel
enum<string>
default:ecommerce

The channel for the transaction

Available options:
ecommerce,
in_app,
in_store
platform_type
enum<string>

Type of platform the merchant is.

Available options:
aggregator,
marketplace
merchant_reference_2
string

A reference specified by the merchant to identify the transaction, can be updated after the transaction has been created

dynamic_descriptor
string

A short reference / descriptor that will show up on the customers bank statement

payment_operation
enum<string>

Initiated by the merchant or used to generate a token

Available options:
unscheduled_purchase,
recurring_purchase,
generate_payment_token
settlement_status
enum<string>

Overall settlement status after the events

Available options:
NOT_SETTLED,
PENDING_SETTLEMENT,
PARTIALLY_SETTLED,
SETTLED
customer
object
customer_ip
string

The IP address of the customer

Example:

"127.0.0.1"

user_agent
string

The full user agent string of the device the customer used to submit the transaction

Example:

"Mozilla/5.0 ..."

initiating_system_request_headers
object
shipping_address
object

Address

shipping_option
object

A shipping option

billing_address
object

Address

store
object
gift_cards
object[]

The gift cards that used to partially or fully authorize the transaction

items
object[]

The applicable transaction items

Example:
[
{
"amount": 2000,
"quantity": 2.5,
"line_id": "1",
"description": "Forsvinnignspølse",
"vat": 20,
"id": "10"
},
{
"amount": 6600,
"quantity": 2,
"line_id": "2",
"description": "Vissvossafår på neppebrød",
"vat": 20,
"id": "6",
"eligible_for_discount": true,
"is_changed": true,
"gross_amount": 10000,
"discount_lines": [
{
"amount": 4400,
"discount_type": "customer",
"discount_id": "ed960ace-eb16-4e2e-ae52-b27647ccae8d",
"description": "Vossafestpris",
"line_id": 1
}
]
},
{
"amount": 59700,
"quantity": 3,
"line_id": "3",
"description": "Luftboller",
"vat": 20,
"id": "1"
}
]
url
object
events
object[]

All events recorded on the transaction

Example:
[
{
"event": "INITIATE",
"transaction_status": "INITIATED",
"created_at": "2019-01-18T13:13:37.175Z",
"success": true,
"request_id": "a3dcc23125bc4363b9dae29ed25a4eb1"
},
{
"event": "AUTHORIZE",
"transaction_status": "AUTHORIZED",
"created_at": "2019-01-18T13:13:37.540Z",
"success": true,
"request_id": "f5f64165e5b3404e9af63586c184c3e9"
},
{
"event": "CAPTURE",
"transaction_status": "PARTIALLY_CAPTURED",
"created_at": "2019-01-18T15:37:00.879Z",
"created_by": "99115ac5-2d10-4be4-8594-bbf5e3aa7dfc",
"amount": 59700,
"splits": [
{
"payout_destination_id": "P000000001",
"amount": 29700
},
{
"payout_destination_id": "P000000002",
"amount": 30000
}
],
"fee_split": {
"type": "proportional",
"destinations": ["P000000001"]
},
"items": [
{
"amount": 59700,
"quantity": 3,
"line_id": "3"
}
],
"success": true,
"request_id": "27c71936004e48649c6dd437d314d90c"
},
{
"event": "CAPTURE",
"transaction_status": "CAPTURED",
"created_at": "2019-01-18T21:24:31.669Z",
"created_by": "a33aef94-a17d-447a-a1dd-81055892b59d",
"amount": 8600,
"items": [
{
"amount": 2000,
"quantity": 2,
"line_id": "1"
},
{
"amount": 6600,
"quantity": 2,
"line_id": "2"
}
],
"success": true,
"request_id": "c3e60b98a1d1466c97151318be621cf9"
}
]
session_id
string

The session id for the transaction

Example:

"P00000000.465U8CUzaPVpneu1wt8Wei"

session
object
updated_at
string<date-time>

When the transaction was last modified.

metadata
object

Additional details about the transaction

checkboxes
object[]

Configuration for checkboxes that should be part of the checkout

Maximum array length: 2
card
object
verified_identity
object

Verified identity of the customer aka payer

Response

200 - application/json

Callback handled

The response is of type object.